<?php
session_start();
header('Cache-control: private');
if(isSet($_GET['lang']))
{
$lang = $_GET['lang'];
$_SESSION['lang'] = $lang;
setcookie('lang', $lang, time() + (3600 * 24 * 30), '/');
}
else if(isSet($_SESSION['lang']))
{
$lang = $_SESSION['lang'];
}
else if(isSet($_COOKIE['lang']))
{
$lang = $_COOKIE['lang'];
}
else
{
$lang = 'en';
}

switch ($lang) {
  case 'en':
  $lang_file = 'lang.en.php';
  break;

  case 'fr':
  $lang_file = 'lang.fr.php';
  break;

  case 'it':
  $lang_file = 'lang.it.php';
  break;

  default:
  $lang_file = 'lang.en.php';
}
$message = $lang_file;
//echo "<script type='text/javascript'>alert('Selected - $lang_file');</script>";
include_once 'lang/'.$lang_file;
?>
